## org.eclipse.jst.jsf.context.symbol
Interface IBoundedTypeDescriptor

All Superinterfaces:
  ITypeDescriptor

All Known Subinterfaces:
  IBoundedJavaTypeDescriptor, IBoundedListTypeDescriptor, IBoundedMapTypeDescriptor

    public interface IBoundedTypeDescriptor

extends ITypeDescriptor

A representation of the model object 'IBounded Type Descriptor'.

Provisional API - subject to change

See Also:
  `SymbolPackage.getIBoundedTypeDescriptor()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`ISymbol` `getUnboundedProperty(java.lang.Object name, java.lang.String typeSignature)`
`boolean` `isUnboundedForType(java.lang.String typeSignature)`

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.ITypeDescriptor
`calculateSyntheticCall, getArrayElement, getInterfaceTypeSignatures, getJdtContext, getMethods, getProperties, getSuperTypeSignatures, getTypeParameterSignatures, getTypeSignature, getTypeSignatureDelegate, instanceOf, isArray, isEnumType, resolveType, setEnumType, setJdtContext, setTypeSignatureDelegate`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### isUnboundedForType

    boolean isUnboundedForType(java.lang.String typeSignature)

  Parameters:
    `typeSignature` -
  Returns:
    true if this type can have unbounded property key for the indicated type. For example, a Java 1.4 Map could potentially have a value of any time for a particular key, so this method would always return true. However a Java5 Map<String, String> would only return true if typeSignature is-a String.

### getUnboundedProperty

    ISymbol getUnboundedProperty(java.lang.Object name,
                                 java.lang.String typeSignature)

  Parameters:
    `name` -
    `typeSignature` -
  Returns:
    a symbol corresponding to the property of this type desc with name called 'name' of type 'typeSignature'. Must return null if isPropNameUnconstrainedForType returns false for 'typeSignature'. Generally should return something meaningful (even if just an object) when isPropNameUnconstrainedForType returns true.